﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;
using System.ComponentModel.DataAnnotations;

namespace _440324_MaskedNumericInputCustomStyle
{
	class DataValidationViewModel : ViewModelBase
	{
		private double doubleValue;

		public double DoubleValue
		{
			get { return doubleValue; }
			set
			{
				if (value < -100 || value > 100)
				{
					throw new ValidationException(String.Format("Value is {0} than {1}.", (value > 100 ? "greater" : "less"), value));
				}
				doubleValue = value;
				this.OnPropertyChanged("DoubleValue");
			}
		}
	}
}
